               job  Test tape mark
               ctl  6611
     x3        equ  99
     unit      equ  %U4
     *
     * Tests run in the print area
     *
     in        equ  201
     sbr       equ  228
     mark      equ  241
     rec       equ  mark&3
     recx      equ  rec&25
               org  recx&1
     *
     wt        wt   unit,rec
               rwd  unit
     rt        rt   unit,in
               sbr  sbr
               bef  print
               mcw  @      @,mark
     *
     *
     * Print the written and read records.  On the first pass, convert
     * gm to G and tm to T.  On the second pass convert GM to M and TM
     * to M, and everything else to blank. On the third pass, print
     * word marks.
     *
     print     sbr  x3,wt-1
     loop1     sbr  x3,15999&x3
               bce  loop1x,x3-2,1  Done (x3 = 199)?
               sw   buf-200&x3
               bce  gm1,0&x3,}     GM?
               bce  tm1,0&x3,{     TM?
               cw   buf-200&x3
               b    loop1
     gm1       mcw  @G@,0&x3
               b    loop1
     tm1       mcw  @T@,0&x3
               b    loop1
     loop1x    w
               sbr  x3,wt-1
     loop2     sbr  x3,15999&x3
               bce  loop2x,x3-2,1  Done (x3 = 199)?
               mcw  @M@,0&x3
               bw   loop2,buf-200&x3  GM or TM?
               mcw  @ @,0&x3
               b    loop2
     loop2x    w
               wm
               cc   j
     *
     * Prepare for a test
     *
     start     sw   1
               rwd  1
               blc  done
               r               Read the first 4 chars of tape I/O
               mcw  8,wt&7
               mcw  12,rt&3
     *         bce  cs,1,u
               sbr  wt&6,rec
     cs        cs   recx       Clear print area
               lca  refrsh,recx
               lca
               b    wt         Do the test
     done      nop  666
               h
               b    done
     *
               dcw  @}    @
               dc   @MARK   @
               dc   @{@
               dc   @12345678901234567890@
     refrsh    dcw  @}    @
     *
     buf       da   1x133
               end  start
